## mod-chxj 0.11.9.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.9-1) unstable; urgency=low

  * Changed Specification.
    - When the size after it reduces becomes 0, it compels it to 1.
      (Reported by someone. thanks!)
  * Emergency measure
    - MagickQuantizeImage function doesn't return.
      (Reported by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 21 Jul 2008 00:30:14 +0900

## mod-chxj 0.11.10.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.10-1) unstable; urgency=low

  * Added Features.
    - For anchor's name for cookie simulator.
    (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 21 Jul 2008 14:50:05 +0900

## mod-chxj 0.11.11.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.11-1) unstable; urgency=low

  * Changed features.
    - After it had converted it by a former image,
      the priority of the image type was selected.
      (Requested by someone. thanks!)
  * Fixed Bug.
    - Dynamic image converter is not available.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 22 Jul 2008 14:15:11 +0900

## mod-chxj 0.11.12.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.12-1) unstable; urgency=low

  * Fixed Bug.
    - cookie cannot be acquired in model of old SoftBank.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)
  * Fixed Bug & Added Features.
    - Query in the action attribute of the form tag cannot be acquired.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Jul 2008 14:28:57 +0900

## mod-chxj 0.11.13.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.13-1) unstable; urgency=low

  * Fixed Bug.
    - Au's url encode is 'lower case'.
    - Change in Cookie header deletion timing.
   [ - cookie cannot be acquired in model of old SoftBank.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)]

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Jul 2008 18:19:12 +0900

## mod-chxj 0.11.14.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.14-1) unstable; urgency=low

  * Bug Fix.
    - The cookie might be cleared when there is no ChxjCookieLazyMode in true.
    - Used lock(merge from 0.12.x).
    - Removed the port number of the host header.
    - Load and save are locked by a set.
    - operation is abnormal when redirecting it with .htacess.
    - cookie hostname check failure.(case with port number)
    - parameter name is null.
  * Added Features.
    - QUERY_STRING of the action attribute changes to return at POST.
    - It is made to succeed the session even if it INTERNAL redirects it.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri,  1 Aug 2008 20:07:23 +0900

## mod-chxj 0.11.15.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.15-1) unstable; urgency=low

  * Bug Fix.
    - The screen might become pure-white. [#13176]
    - Upgraded from 0.1.2 to 0.2.0. [#18176]
    - The POST form to another site is illegal. [ #13543]
      (Reported by anyone. Thanks!)
    - libserf link failure because of x86_64 environment[#13499]
      (Reported by anyone. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 26 Sep 2008 01:36:48 +0900

## mod-chxj 0.11.16.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.16-1) unstable; urgency=low

  * Bug Fix.
    - When it is not possible to convert it from the host name in request URL
      into IP, it becomes an error.
      (Reported by bayside. Thanks!)
    - The mistake is found in `configure' and the compilation of libserf
      doesn't operate normally.

 -- Atsushi Konno <konn@sourceforge.jp>  Wed, 29 Oct 2008 21:54:35 +0900

## mod-chxj 0.12.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.0-1) unstable; urgency=low

  * Fixed bug.
    - '+' has not been converted into ' '.
    - A double quart and a single quart were able to be used for the attribute value. 
    - When the request parameter name is Japanese, the parameter name is a bug that doesn't convert the character-code. 
    - The bug that the result area has not been initialized while processing the cookie loading of the COOKIE MYSQL function
    - In the COOKIE MYSQL function, the connection to MYSQL was not occasionally closed. 
  * Added Features.
    - Added alink attribute for body tag.
    - Added vlink attribute for body tag.
    - Added dir attribute for dir tag.
    - Added size attribute for font tag.
    - Added color attribute for hr tag.
    - Added bgcolor attribute for marquee tag.
    - Added type attribute for ul tag.
    - Added lang="jxhtml" attribute value for chxj:if tag.
  * Revoked apr_memcache and used libmemcached.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 10 May 2008 17:08:48 +0900

=== debian/control ===
Source: libapache2-mod-chxj
Priority: optional
Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
Build-Depends: debhelper (>= 5.0.42), apache-dev (>= 1.3.23), apache2-prefork-dev (>= 2.0.53-3), autoconf, automake1.4,libapr1 (>=1.2.7), libaprutil1 (>=1.2.7), libmagick9-dev (>=6.2.4.5-0.6), libmysqlclient15-dev (>=5.0.32)
Standards-Version: 3.6.2
Section: libs

Package: libapache2-mod-chxj-dev
Section: libdevel
Architecture: any
Depends: libapache2-mod-chxj (= ${Source-Version})
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function. 


Package: libapache2-mod-chxj
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

## mod-chxj 0.12.1.src

=== test/chxj_encoding/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_encoding

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.1-1) unstable; urgency=low

  * Fixed bug. 
    - Set-Cookie is not executed at CGI.
      (Reported by R.Komoriya. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 29 May 2008 03:11:16 +0900

## mod-chxj 0.12.5.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.5-1) unstable; urgency=low

  * Fixed bug.
    - The bug that was not able to be displayed correctly when a double quart
      was included in value.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 27 Jun 2008 16:37:26 +0900

libapache2-mod-chxj (0.12.4-1) unstable; urgency=low

  * Fixed Bug.
    - Because Input_filter of Apache is a fuck-shit, it abolishes it.
      Proxy is made at one's own expense by using libserf instead.
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 26 Jun 2008 10:32:44 +0900

libapache2-mod-chxj (0.12.3-1) unstable; urgency=low

  * Fixed bug.
    - changes line in place in which it doesn't intend it.
     (Reported by someone. thanks!)

 -- Atsushi Konno <konn@sourceforge.jp>  Sat, 21 Jun 2008 18:39:14 +0900

libapache2-mod-chxj (0.12.2-1) unstable; urgency=low

  * Fixed bug.
    - Failed reading cookie for SoftBank.
      (Reported by R.Komoriya. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  1 Jun 2008 02:11:33 +0900

## mod-chxj 0.12.7.src

=== src/serf/Makefile ===
#
# Makefile for Serf
#
srcdir = .


SERF_MAJOR_VERSION=0
SERF_DOTTED_VERSION=0.1.2

OBJECTS = buckets/aggregate_buckets.lo buckets/request_buckets.lo context.lo \
          buckets/buckets.lo buckets/simple_buckets.lo buckets/file_buckets.lo \
          buckets/mmap_buckets.lo buckets/socket_buckets.lo \
          buckets/response_buckets.lo buckets/headers_buckets.lo \
          buckets/allocator.lo buckets/dechunk_buckets.lo \
          buckets/deflate_buckets.lo buckets/limit_buckets.lo \
          buckets/ssl_buckets.lo buckets/barrier_buckets.lo \
          buckets/chunk_buckets.lo

TARGET_LIB=libserf-$(SERF_MAJOR_VERSION).la

TEST_OBJECTS = test/serf_get.lo test/serf_response.lo test/serf_request.lo \
               test/serf_spider.lo
PROGRAMS = $(TEST_OBJECTS:.lo=)

TESTCASES = test/testcases/simple.response \
  test/testcases/chunked-empty.response test/testcases/chunked.response \
  test/testcases/chunked-trailers.response \
  test/testcases/deflate.response

HEADERS = serf.h serf_bucket_types.h serf_bucket_util.h serf_declare.h

prefix=/usr/local/serf
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include/serf-${SERF_MAJOR_VERSION}

LIBTOOL = /usr/share/apr-1.0/build/libtool --silent
CC = i486-linux-gnu-gcc
CFLAGS =  -pipe -Wall -g -O2 -pthread
CPPFLAGS =  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE
INCLUDES = -I$(srcdir) -I/usr/include/apr-1.0 -I/usr/include/apr-1.0 $(EXTRA_INCLUDES)
MKDIR = mkdir -p
INSTALL = /usr/bin/install -c

LDFLAGS =  
LIBS =  /usr/lib/libaprutil-1.la   /usr/lib/libapr-1.la -luuid -lrt -lcrypt  -lpthread -ldl -lz -lssl -lcrypto

all: $(TARGET_LIB) $(PROGRAMS)

context.lo: context.c $(HEADERS)
buckets/aggregate_buckets.lo: buckets/aggregate_buckets.c $(HEADERS)
buckets/request_buckets.lo: buckets/request_buckets.c $(HEADERS)
buckets/buckets.lo: buckets/buckets.c $(HEADERS)
buckets/simple_buckets.lo: buckets/simple_buckets.c $(HEADERS)
buckets/file_buckets.lo: buckets/file_buckets.c $(HEADERS)
buckets/mmap_buckets.lo: buckets/mmap_buckets.c $(HEADERS)
buckets/socket_buckets.lo: buckets/socket_buckets.c $(HEADERS)
buckets/response_buckets.lo: buckets/response_buckets.c $(HEADERS)
buckets/headers_buckets.lo: buckets/headers_buckets.c $(HEADERS)
buckets/allocator.lo: buckets/allocator.c $(HEADERS)
buckets/dechunk_buckets.lo: buckets/dechunk_buckets.c $(HEADERS)
buckets/deflate_buckets.lo: buckets/deflate_buckets.c $(HEADERS)
buckets/limit_buckets.lo: buckets/limit_buckets.c $(HEADERS)
buckets/ssl_buckets.lo: buckets/ssl_buckets.c $(HEADERS)
buckets/barrier_buckets.lo: buckets/barrier_buckets.c $(HEADERS)
buckets/chunk_buckets.lo: buckets/chunk_buckets.c $(HEADERS)

test/serf_get.lo: test/serf_get.c $(HEADERS)
test/serf_response.lo: test/serf_response.c $(HEADERS)
test/serf_request.lo: test/serf_request.c $(HEADERS)
test/serf_spider.lo: test/serf_spider.c $(HEADERS)

$(TARGET_LIB): $(OBJECTS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -rpath $(libdir) -o $@ $^ $(LIBS)

test/serf_get: $(TARGET_LIB) test/serf_get.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -static -o $@ $^ $(LIBS)

test/serf_response: $(TARGET_LIB) test/serf_response.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -static -o $@ $^ $(LIBS)

test/serf_request: $(TARGET_LIB) test/serf_request.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -static -o $@ $^ $(LIBS)

test/serf_spider: $(TARGET_LIB) test/serf_spider.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -static -o $@ $^ $(LIBS)


check: test/serf_response
	@for i in $(TESTCASES); \
		 do echo "== Testing $$i =="; \
		 ./test/serf_response $$i; \
	done;

install: $(TARGET_LIB)
	$(MKDIR) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 644 $(TARGET_LIB) $(DESTDIR)$(libdir)
	for i in $(srcdir)/*.h; do \
		$(INSTALL) -m 644 $$i $(DESTDIR)$(includedir); \
	done

clean:
	rm -f $(TARGET_LIB) $(OBJECTS) $(OBJECTS:.lo=.o) $(PROGRAMS) $(TEST_OBJECTS) $(TEST_OBJECTS:.lo=.o)
	for subdir in . buckets test; do \
		(cd $$subdir && rm -rf .libs) ; \
	done

distclean: clean
	rm -f Makefile config.log config.status

.SUFFIXES:
.SUFFIXES: .c .lo .o

mkdir-vpath:
	@if [ ! -d buckets ]; then \
		$(MKDIR) buckets; \
	fi;
	@if [ ! -d test ]; then \
		$(MKDIR) test; \
	fi;

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -c -o $@ $< && touch $@

=== test/chxj_chtml40/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml40

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/chxj_jhtml/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_jhtml

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/chxj_tag_util/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_tag_util

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.7-1) unstable; urgency=low

  * Fixed bug.
    - It doesn't become a conversion target when setting as JXHTML.
     (Reported by someone. thanks!)

  * Added name attribute of form tag. 
    (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 12 Jul 2008 02:11:04 +0900

libapache2-mod-chxj (0.12.6-1) unstable; urgency=low

  * Fixed bug.
    - cannot be redirected since 0.12.4
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu,  3 Jul 2008 22:06:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libapache2-mod-chxj
 Priority: optional
 Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
-Build-Depends: debhelper (>= 5.0.42), apache-dev (>= 1.3.23), apache2-prefork-dev (>= 2.0.53-3), autoconf, automake1.4,libapr1 (>=1.2.7), libaprutil1 (>=1.2.7), libmagick9-dev (>=6.2.4.5-0.6), libmysqlclient15-dev (>=5.0.32)
+Build-Depends: debhelper (>= 5.0.42), apache2-threaded-dev (>= 2.2.3-4), apache2-utils (>=2.2.3-4), apache2.2-common (>=2.2.3-4), autoconf, automake,libapr1 (>=1.2.7), libaprutil1 (>=1.2.7), libmagick9-dev (>=6.2.4.5-0.6), libmysqlclient15-dev (>=5.0.32)
 Standards-Version: 3.6.2
 Section: libs
 
@@ -16,6 +16,6 @@
 Package: libapache2-mod-chxj
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2 (>= 2.2.3-4), apache2-mpm-prefork (>= 2.2.3-4), apache2-threaded-dev (>= 2.2.3-4), apache2-utils (>= 2.2.3-4), apache2.2-common (>= 2.2.3-4), libapr1 (>= 1.2.7), libaprutil1 (>= 1.2.7), libmagick9-dev (>= 6.2.4.5-0.6), libmysqlclient15-dev (>= 5.0.32)
 Description: CHTML to HDML,XHTML,JHTML convert module.
   The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

## mod-chxj 0.12.8.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.8-1) unstable; urgency=low

  * Added function.
    - The au terminal is handled as NO Cookie model. (For http -> https or https -> http exchange.) 
      (Requested by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun, 13 Jul 2008 15:20:39 +0900

## mod-chxj 0.12.9.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.9-1) unstable; urgency=low

  * Changed Specification.
    - When the size after it reduces becomes 0, it compels it to 1.
      (Reported by someone. thanks!)
  * Emergency measure
    - MagickQuantizeImage function doesn't return.
      (Reported by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun, 20 Jul 2008 23:28:36 +0900

## mod-chxj 0.12.10.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.10-1) unstable; urgency=low

  * Added Features.
    - For anchor's name for cookie simulator.
    (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 21 Jul 2008 15:11:53 +0900

## mod-chxj 0.12.11.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.11-1) unstable; urgency=low

  * Changed features.
    - After it had converted it by a former image,
      the priority of the image type was selected.
      (Requested by someone. thanks!)
  * Fixed Bug.
    - Dynamic image converter is not available.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 22 Jul 2008 12:52:13 +0900

## mod-chxj 0.12.13.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.13-1) unstable; urgency=low

  * Bug Fix(merge from 0.11.15).
    - The screen might become pure-white. [13508]
    - Upgraded from 0.1.2 to 0.2.0. [13508]
    - The POST form to another site is illegal. [#13544]
      (Reported by anyone. Thanks!)
    - libserf link failure because of x86_64 environment[13507]
      (Reported by anyone. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 27 Sep 2008 00:06:08 +0900

libapache2-mod-chxj (0.12.12-1) unstable; urgency=low

  * Fixed Bug.
    - cookie cannot be acquired in model of old SoftBank.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)
  * Fixed Bug & Added Features.
    - Query in the action attribute of the form tag cannot be acquired.
   (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Jul 2008 16:02:02 +0900

## mod-chxj 0.12.15.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.15-1) unstable; urgency=low

  * Bug Fix.
    - fails in the link of libserf.

 -- Atsushi Konno <konn@sourceforge.jp>  Thu, 30 Oct 2008 00:29:29 +0900

libapache2-mod-chxj (0.12.14) unstable; urgency=low

  * Bug Fix.
    - When it is not possible to convert it from the host name in request URL
      into IP, it becomes an error.
      (Reported by bayside. Thanks!)
    - The mistake is found in `configure' and the compilation of libserf
      doesn't operate normally.

 -- Atsushi Konno <konn@sourceforge.jp>  Wed, 29 Oct 2008 17:40:25 +0900

## mod-chxj 0.12.16.src

=== test/chxj_chtml30/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml30

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.16-1) unstable; urgency=low

  * Added sample data of emoji.

 -- Atsushi Konno <konn@sourceforge.jp>  Wed,  5 Nov 2008 09:50:15 +0900

## mod-chxj 0.12.20.src

=== doc/Makefile ===
.SUFFIXES:
.SUFFIXES: .sdoc .html

TARGET=modchxj.html

all: $(TARGET)

.sdoc.html:
	sed "s/@@DATE@@/`LANG=C date`/" $< > /tmp/modchxj.sdoctmp
	sdoc -toc:true  /tmp/modchxj.sdoctmp

clean:
	rm -f $(TARGET)

=== test/chxj_chtml50/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml50

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/chxj_jxhtml/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_jxhtml

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/qs_parse_attr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_qs_parse_attr

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/qs_parse_tag/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_qs_parse_tag

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.20-1) unstable; urgency=low

  * Changed encoding specification.
    - It replaces with '?' for the illegal character code and the processing
      continuation is done.(Added unknown charactor code)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 20 Nov 2008 19:35:05 +0900

libapache2-mod-chxj (0.12.19-1) unstable; urgency=low

  * Changed encoding specification.
    - It replaces with '?' for the illegal character code and the processing
      continuation is done.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 20 Nov 2008 10:06:57 +0900

libapache2-mod-chxj (0.12.18-1) unstable; urgency=low

  * Fixed Bug.
    - When the POST data of 64 bytes or less is sent, it is Segv.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri,  7 Nov 2008 10:05:30 +0900

libapache2-mod-chxj (0.12.17-1) unstable; urgency=low

  * Fixed bug.
    - Bug that session becomes invalid.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri,  7 Nov 2008 02:09:16 +0900

## mod-chxj 0.12.21.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.21-1) unstable; urgency=low

  * Fixed Bug.
    - The parameter for the cookie is not applied at the ``A LINK'' to
      "mailto:" and "telto:".
   (Reported by bayside _at_ users.sourceforge.jp. thanks!)
  * Fixed Bug.
    - When you make a mistake in the setting of the character-code.
   (Reported by anyone. thanks!)
  * Added Sample Device Data.
    - SoftBank 824SH
    - SoftBank 923SH
    - au W63S
    - au W63SA
    - DoCoMo SO706i
    - SoftBank 820N
    - SoftBank 821N
    - SoftBank 825SH
    - DoCoMo N706i
    - SoftBank 823P
    - DoCoMo F706i
    - DoCoMo SH906iTV
    - au W63K
    - au W64K
    - DoCoMo N906iL
    - DoCoMo N906i
    - au W63T
    - au W62K
    - au W62T
    - SoftBank DM002SH
    - DoCoMo F906i
    - DoCoMo N906imyu
    - DoCoMo SH906i
    - DoCoMo SO906i
    - DoCoMo L852i
    - DoCoMo P906i
    - DoCoMo F883iS
    - au W61S
    - au W61SA
    - DoCoMo F883iESS
    - SoftBank 821SC
    - SoftBank 920SH YK
    - DoCoMo NM705i
    - au W61PT
   (Added by na_mako. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 26 Nov 2008 18:15:31 +0900

## mod-chxj 0.12.22.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.22-1) unstable; urgency=low

  * Fixed Bug.
    - The X-Chxj-WP-Height header cannot be taken[#14143].
    - The value of the X-Chxj-HtmlSpecTyp header is abnormal[#14145].
  * Added Sample Device Data.
    - au W65K
    - au W62P
    - au W64S
    - SoftBank 830P
    - SoftBank 830SHs
    - SoftBank 830SH
    - au W64T
    - au W63Kカメラ無し
    - au W63SH
    - SoftBank 824T
    - DoCoMo SH706iw
    - au W62PT
    - DoCoMo N706iII
    - DoCoMo SH706ie
    - SoftBank 823T
    - DoCoMo N706ie
    - DoCoMo P706ie
    - DoCoMo NM706i
    - SoftBank 921P
    - DoCoMo F884iES
    - DoCoMo L706ie
    - au W64SA
    - SoftBank 824P
    - DoCoMo P706imyu
    - au W62CA
    - au W62H
    - au W62SH
    - DoCoMo SH706i

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 27 Nov 2008 22:47:30 +0900

## mod-chxj 0.12.25.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.25-1) unstable; urgency=low

  * Fixed bug.
    - Zenkaku Hifun -> 0xb0
      (Requested by bayside. Thanks!)
  * Added new features.
    - Zenkaku Alphabet -> Hankaku Alphabet.(with Z2hAlphaOn or Z2hAlphaOff)
    - Zenkaku Number -> Hankaku Number. (with Z2hNumOn or Z2hNumOff)
    - Z2hAllOn (Z2hOn And Z2hAlphaOn And Z2hNumOn)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  8 Dec 2008 01:14:45 +0900

libapache2-mod-chxj (0.12.24-1) unstable; urgency=low

  * Fixed bug.
    - Convert 0x5c.
  * Changed Feature.
    - The conversion object of Z2h.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  3 Dec 2008 20:13:55 +0900

libapache2-mod-chxj (0.12.23-1) unstable; urgency=low

  * Added new feature.
    - convert Zenkakaku Kana into Hankaku Kana (with Z2hOn or Z2hOff).
      (Requested by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  1 Dec 2008 23:57:51 +0900

## mod-chxj 0.12.26.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.26-1) unstable; urgency=low

  * Fixed bug.
    - The image becomes abnormal for animation GIF.
      (Reported by bayside. Thanks!)
  * Added Features.
    - Content-Type can be compulsorily rewritten by specifying the
      ``X-Chxj-Set-Content-Type'' header.
      (Requested by katsu2000x. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  8 Dec 2008 21:04:36 +0900

## mod-chxj 0.12.27.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.27-1) unstable; urgency=low

  * Fixed bug.
    - Whenever POST is done, the response code becomes 200. 
    - __chxj_nc parameter is applied to the link to an external site. 
    - It doesn't correspond to Ip-based virtual host. 

  * Added new features.
    - added GUID converter.
  

 -- Atsush Konno  <konn@users.sourceforge.jp>  Sat, 13 Dec 2008 16:49:11 +0900

## mod-chxj 0.12.29.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.29-1) unstable; urgency=low

  * Fixed bug. 
    - option tag, value attribute is removed if it has void string.
      (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 17 Dec 2008 15:57:36 +0900

libapache2-mod-chxj (0.12.28-1) unstable; urgency=low

  * Fixed bug.
    - When the Cookie simulator is invalidated, GUID Parameter Converter does
      abnormal operation. [#14284]
  * Added new Features.
    - Added J-Reserved Parameter Converter.(merge from old-trunk)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 16 Dec 2008 09:52:26 +0900

## mod-chxj 0.12.31.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.31-1) unstable; urgency=low

  * Added new features. 
    - Added NoCacheOn Option.
    - Added JRConvOff Option.
    - Added QSConvOff Option.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 20 Dec 2008 01:34:32 +0900

libapache2-mod-chxj (0.12.30-1) unstable; urgency=low

  * Fixed bug.
    - telto: -> tel:
      (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 18 Dec 2008 02:38:48 +0900

## mod-chxj 0.12.32.src

=== test/chxj_url_encode/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_url_encode

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.32-1) unstable; urgency=low

  * Added new features. 
    - Added EmojiOnly Option for ChxjConvertRule directive.
  * Fixed bug.
    - The conversion of QUERY_STRING in a tag is invalid.
    - The conversion of QUERY_STRING in form tag is invalid.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  4 Mar 2009 01:02:19 +0900

## mod-chxj 0.12.35.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.35-1) unstable; urgency=low

  * Fixed Bug. 
    - When the HTTP response code is 304, garbage in two bytes is transmitted
      as Content. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15951
      (Reported by isssk. Thanks!)
    - In the SoftBank, ``guid=on'' in A tag is deleted. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15940
      (Reported by isssk. Thanks!)
    - The BMP image is not converted.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15934
      (Reported by isssk. Thanks!)
    - The setting by the htaccess context of the image transformation is not
      effective. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15935
      (Reported by isssk. Thanks!)
    - If the extension is not specified when the image conversion setting is
      done only in htaccess, it becomes 404. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15936
      (Reported by isssk. Thanks!)
    - The parameter name breaks when HANKAKU-KANA-DAKUTEN is specified for
      REQUEST parameter name. 
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15939
      (Reported by isssk. Thanks!)
    - When UA other than carrying are specified by the fifth argument of
      ChxjConvertRule, the conversion processing is not done. 
      (Reported by ippsio. Thanks!)
    - When httpd has not linked with libssl and libcrypto, httpd cannot be
      started.
      (Reported by GLORIA (gloria_sf). Thansk!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  5 Apr 2009 18:16:51 +0900

libapache2-mod-chxj (0.12.34-1) unstable; urgency=low

      * Added New Features.
        - Added EnvInfoOnly Option for ChxjConvertRule directive.
        - Added ChxjAllowedCookieDomain directive.
          (Requested by ippsio. thanks!)
      * Fixed bug.
        http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=15853
        (thanks!)


 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed,  1 Apr 2009 01:28:25 +0900

libapache2-mod-chxj (0.12.33-1) unstable; urgency=low

  * Added new features.
    - Added CHXJ:IF converter to Emoji Only Mode.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu,  5 Mar 2009 22:47:59 +0900

=== debian/control ===
Source: libapache2-mod-chxj
Priority: optional
Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
Build-Depends: debhelper (>= 5.0.42), apache2-prefork-dev (>= 2.2.3-4), apache2-utils (>=2.2.3-4), apache2.2-common (>=2.2.3-4), autoconf, automake,libapr1 (>=1.2.7), libaprutil1 (>=1.2.7), libmagick9-dev (>=6.2.4.5-0.6), libmysqlclient15-dev (>=5.0.32)
Standards-Version: 3.6.2
Section: libs

Package: libapache2-mod-chxj-dev
Section: libdevel
Architecture: any
Depends: libapache2-mod-chxj (= ${Source-Version})
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function. 


Package: libapache2-mod-chxj
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2 (>= 2.2.3-4), apache2-prefork-dev (>= 2.2.3-4), apache2-utils (>= 2.2.3-4), apache2.2-common (>= 2.2.3-4), libapr1 (>= 1.2.7), libaprutil1 (>= 1.2.7), libmagick9-dev (>= 6.2.4.5-0.6), libmysqlclient15-dev (>= 5.0.32)
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.2. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

## mod-chxj 0.12.36.src

=== debian/changelog ===
libapache2-mod-chxj (0.12.36-1) unstable; urgency=low

  * Added Features.
    - Added CHXJ:RAW origianl tag. this is an abbreviation of <CHXJ:IF
      lang="all">.
    - Expansion of copyright protection function. for OLD SoftBank.
    - When JRConvOff is used, a part of QSConvOff is invalidated. 
    - An extra access log was not given for temporary. 
      (use env=!chxj-post-log)
  * Changed Features.
    - Changed the behavior of Z2hOn, and so on.
  * Fixed Bug.
    - When the port number has adhered to the Host header of the request,
      Cookie might not be loaded. 
      (Reported by ippsio. Thanks!)
    - When StatusCode is 304, garbage in two bytes outputs it. 
      (Reported by isssk. Thanks!)
    - the BMP image is not converted. 
      (Reported by isssk. Thanks!)
    - Guid=ON doesn't work when the third argument of ChxjConvertRule is NONE. 
      (Reported by isssk. Thanks!)
    - Even if ChxjImageCopyright is specified, copyright information is not
      added to PNG. 
      (Reported by isssk. Thanks!)
    - The reservation parameter name of the QueryString inside of POST is
      converted though it is JRConvOff. 
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is not specified,
      bmp doesn't become an object. 
      (Reported by isssk. Thanks!)
    - In the image conversion processing, when the extension is specified, the
      cache file is not made. 
      (Reported by isssk. Thanks!)
    - Dependence definition leakage of OpenSSL.
    - The error log is output if there is no data that matches to the key when
      Cookie is loaded. 
      (Reported by ippsio. Thanks!)
    - _ chxj_cc is doubly added when there is already _ chxj_cc in the
      Location header. 
      (Reported by ippsio. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 11 Apr 2009 17:41:40 +0900

## mod-chxj 0.12.38

=== debian/changelog ===
libapache2-mod-chxj (0.12.37-1) unstable; urgency=low

  * Added Features.
    - Added X-Chxj-Version header.
    - Changed Image Compression Logic.
  * Changed Features.
    - Content-Type is not seen when there is Location header.
  * Fixed Bug.
    - Cookie is deleted though it is not CookieOn.
      (Reported by isssk. Thanks!)
    - Fixed url dencode bug.
    - received SIGSEGV when connection was refused within libserf-0.2.0.
      (Reported by kamiya. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 15 Jun 2009 09:48:10 +0900

## mod-chxj 0.12.41.src

=== test/qs_ignore_sp/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_qs_ignore_sp

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.41-1) unstable; urgency=low

  * Fixed Bug.
    - SEGV occurs in ImageMagick when mmap is used.
    - No adding cookie parameter if flagment only.
    - It is not possible to compile with RHEL4/CentOS4.
 
 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 04 Jul 2011 21:04:14 +0900

libapache2-mod-chxj (0.12.40) unstable; urgency=low

  * Fixed Bug 
    - segv if request_conf is not created.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 25 Mar 2011 22:11:21 +0900

libapache2-mod-chxj (0.12.39-1) unstable; urgency=low

  * Internal improvement
    - Image converter
      + To use mmap as much as possible.
      + Changed to one time to expect it by two cash file reading in
        turn. 
      + To delete it with htcacheclean, the extension in the cache file is
        changed to ". data". 
      + When the image is converted, it changes to delete output_filter. 
    - Model informational specific function
      + It changes to use the judgment result when judged once. 
      + Fixed bug that ua parameter is not effective in image conversion
        processing
    - Optimization
      + It is changed that apply_convrules is uselessly called two or more
        times. 
  * Fixed Bug.
    - The bug to which the dynamic image conversion is not done is changed if
      it has and [kan] is not divided and it is not assumed ChxjConvRule
      EngineOn though it is ChxjImageEngine On. 
	- ''-DLIBICONV_PLUG'' is added to the compiler option. 
	- Static link compulsion of libserf.
  * Added New Features.
    - Addition of EngineOn unnecessary version EmojiOnly mode

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue, 15 Mar 2011 19:20:17 +0900

libapache2-mod-chxj (0.12.38) unstable; urgency=low

  * Added Features. 
    - Added CookieOnlyMode
    - for use X-Client-Type
    - h1,h2,h3,h4,h5,h6 was left for SoftBank
    - Added the Vary header for the cash server when the image is converted
    - The model specific function is changed from a linear search to a binary
      search. 
  * Fixed Bug.
    - Optional ``--with-openssl'' is not reflected in libserf.
    - The cookie parameter is added after the fragment when there is a
       fragment in URL at the cookie simulator. 
    - cannot be compiled when LONG_LONG_MAX is undefined
    - The XHTML terminal of SoftBank was made within the range of the cover of
      the Cookie simulator. 
    - The parameter for the cookie simulator is added to tel and mailto. 
    - The parameter for the cookie simulator has not been added to the
      Location header for CookieOnlyMode. 

 -- konno <konn@users.sourceforge.jp>  Mon, 28 Feb 2011 14:07:30 +0900

## mod-chxj 0.12.42.src

=== support/freebsd/Makefile ===
# New ports collection makefile for:    mod_chxj
# Date created:     15 March 2011
# Whom:             Atsushi Konno <konno@qsdn.co.jp>
#
# $FreeBSD$
#

PORTNAME=       mod_chxj
PORTVERSION=    0.12.41
PORTREVISION=   1
PORTEPOCH=      1
CATEGORIES=     www
MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE_JP:=modchxj/51411/}
PKGNAMEPREFIX=  ${APACHE_PKGNAMEPREFIX}
DISTNAME=       mod-chxj_0.12.41
EXTRACT_SUFX=   .src.tar.gz

MAINTAINER=     konno@qsdn.co.jp
COMMENT=        CompactHTML to XHTML,HTML convert module for apache2

LIB_DEPENDS=	apr-1:${PORTSDIR}/devel/apr1
LIB_DEPENDS+=	aprutil-1:${PORTSDIR}/devel/apr1
LIB_DEPENDS+=	ssl:${PORTSDIR}/security/openssl
LIB_DEPENDS+=	crypto:${PORTSDIR}/security/openssl
LIB_DEPENDS+=	MagickWand:${PORTSDIR}/graphics/ImageMagick
LIB_DEPENDS+=	MagickCore:${PORTSDIR}/graphics/ImageMagick

MAKE_JOBS_SAFE=  yes

OPTIONS=	USE_MYSQL_COOKIE	"Use Cookie Simulator with MySQL"	on \
		USE_MEMCACHED_COOKIE	"Use Cookie Simulator with Memcached"	on 

PKGDEINSTALL=	${PKGINSTALL}

NO_INSTALL_MANPAGES= yes
HAS_CONFIGURE=  yes
CONFIGURE_ARGS=	--prefix=${LOCALBASE}

.include <bsd.port.pre.mk>
.if defined(WITH_USE_MYSQL_COOKIE)
CONFIGURE_ARGS+=	--enable-mysql-cookie \
			--with-mysql-header=${LOCALBASE}/include/mysql \
			--with-mysql-lib-dir=${LOCALBASE}/lib/mysql 
LIB_DEPENDS+=		mysqlclient_r:${PORTSDIR}/databases/mysql51-client
.endif

.if defined(WITH_USE_MEMCACHED_COOKIE)
CONFIGURE_ARGS+=	--enable-memcache-cookie \
			--with-memcached-header=${LOCALBASE}/include \
			--with-memcached-lib-dir=${LOCALBASE}/lib
LIB_DEPENDS+=		memcached:${PORTSDIR}/databases/libmemcached
.endif

AP_FAST_BUILD=  yes

PLIST_FILES=    ${APACHEETCDIR}/apache.conf.mod_chxj \
	${APACHEMODDIR}/mod_chxj.so \
	${APACHEETCDIR}/chxj/device_data.xml \
	${APACHEETCDIR}/chxj/emoji.xml

USE_APACHE=     2.0+

do-build:
	(cd $(WRKSRC); make)

do-install:
	(cd ${WRKSRC}; make install)
	${INSTALL_DATA} ${FILESDIR}/apache.conf.${PORTNAME} ${LOCALBASE}/${APACHEETCDIR}/
	${MKDIR} -p ${LOCALBASE}/${APACHEETCDIR}/chxj
	${INSTALL_DATA} ${FILESDIR}/device_data.xml ${LOCALBASE}/${APACHEETCDIR}/chxj/
	${INSTALL_DATA} ${FILESDIR}/emoji.xml ${LOCALBASE}/${APACHEETCDIR}/chxj/

post-install:
.if !defined(PACKAGE_BUILDING)
	@${SETENV} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
.endif
	@${CAT} ${PKGMESSAGE}

.include <bsd.port.post.mk>

=== test/chxj_hdml/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_hdml

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.12.42-1) unstable; urgency=low

  * Fixed Bug.
    - Using a small tree-depth of 4.
      Because MagickQuantizeImage() was very slow.
      http://sourceforge.jp/ticket/browse.php?group_id=1608&tid=25892
    - Deleted no need url_decode function in jreserved_tag.
  * Changed Features.
    - SoftBank XHTML uses Cookie sim.

 -- konno <konn@users.sourceforge.jp>  Fri, 05 Aug 2011 23:13:21 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)  " ./configure --enable-mysql-cookie --with-mysql-header=/usr/include/mysql --with-mysql-lib-dir=/usr/lib --enable-memcache-cookie --with-memcached-header=/usr/include --with-memcached-lib-dir=/usr/lib



build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f ./config.sub && cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f ./config.guess && cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	@if test ! -L src/mod_chxj.so ; then cp src/.libs/libmod_chxj.so src/mod_chxj.so ; fi

	# Add here commands to install the package into debian/tmp
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool' $(CURDIR)/src/mod_chxj.so \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	install -m 644 debian/chxj.load \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 etc/*.xml \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 doc/*.html \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
